/* ---------------------------------------------------------------------
     "wc_dsbev.c" - C wrapper for LAPACK DSYSV & DSYTRI
             Copyright (c) 2005-2007  by A. Miyoshi, Univ. Tokyo
                         created: Jan.   2, 2007
                     last edited: Jan.   2, 2007
--------------------------------------------------------------------- */

#include "wc_dsysv.h"

int lapack_dsysv(char uplo, int n, int nrhs, double **a, int lda,
 int *ipiv, double **b, int ldb, double *work, int lwork) {
  int info;
  ENT_DSYSV(&uplo, &n, &nrhs, a, &lda, ipiv, b, &ldb, work, &lwork, &info);
  return info;
}

int lapack_dsytri(char uplo, int n, double **a, int lda, int *ipiv,
 double *work) {
  int info;
  ENT_DSYTRI(&uplo, &n, a, &lda, ipiv, work, &info);
  return info;
}

/*
int lapack_dsbev(char jobz, char uplo, int n, int kd, double **ab,
 int ldab, double *w, double **z, int ldz, double *work) {
  int info;
  ENT_DSBEV(&jobz, &uplo, &n, &kd, ab, &ldab, w, z, &ldz, work, &info);
  return info;
}

int lapack_dposv(char uplo, int n, int nrhs, double **a, int lda,
 double **b, int ldb) {
  int info;
  ENT_DPOSV(&uplo, &n, &nrhs, a, &lda, b, &ldb, &info);
  return info;
}

int lapack_dpotri(char uplo, int n, double **a, int lda) {
  int info;
  ENT_DPOTRI(&uplo, &n, a, &lda, &info);
  return info;
}
*/
