/* ---------------------------------------------------------------------
     "wcpp_zhbev.cc" - C++ wrapper for LAPACK ZHBEV
             Copyright (c) 2005       by A. Miyoshi, Univ. Tokyo
                         created: Oct.  11, 2005
                     last edited: Oct.  11, 2005
--------------------------------------------------------------------- */

#include "wcpp_zhbev.h"

int lapack_zhbev(char jobz, char uplo, int n, int kd,
 complex<double> **ab, int ldab, double *w, complex<double> **z, int ldz,
 complex<double> *work, double *rwork) {
  int info;
  ENT_ZHBEV(jobz, uplo, n, kd, ab, ldab, w, z, ldz, work, rwork, info);
  return info;
}

